package com.zhyc.module.dairyProducts.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zhyc.common.annotation.Excel;
import com.zhyc.common.core.domain.BaseEntity;

/**
 * 胎次校正对象 xz_parity_correction
 *
 * @author ruoyi
 * @date 2025-08-24
 */
public class XzParityCorrection extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 胎次 */
    @Excel(name = "胎次")
    private Integer parity;

    /** 系数 */
    @Excel(name = "系数")
    private Double coef;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setParity(Integer parity)
    {
        this.parity = parity;
    }

    public Integer getParity()
    {
        return parity;
    }

    public void setCoef(Double coef)
    {
        this.coef = coef;
    }

    public Double getCoef()
    {
        return coef;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("parity", getParity())
                .append("coef", getCoef())
                .toString();
    }
}
